Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Allow require without `.default` #13

Closed
marshallswain opened this Issue Nov 22, 2015 · 4 comments

Comments

Projects
None yet
3 participants
@marshallswain
Copy link
Member

marshallswain commented Nov 22, 2015

export default module.exports = xyz; as per #12

@marshallswain marshallswain added this to the 1.0 release milestone Nov 22, 2015

@marshallswain

This comment has been minimized.

Copy link
Member Author

marshallswain commented Nov 24, 2015

@daffl

This comment has been minimized.

Copy link
Member

daffl commented Nov 24, 2015

It should probably use the Babel plugin (see feathersjs-ecosystem/feathers-knex#17)

@marshallswain

This comment has been minimized.

Copy link
Member Author

marshallswain commented Dec 27, 2015

Looks like using require('module').default is the new correct way to do this when using Babel. http://stackoverflow.com/questions/33505992/babel-6-changes-how-it-exports-default

Closing

@ekryski

This comment has been minimized.

Copy link
Member

ekryski commented Dec 28, 2015

When you are not using ES6, yes.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.